Neues phpBB in Version 2.0.14 erschienen!

Hier die Newsecke (Kein Support!)
Benutzeravatar
blondi
User
User
Beiträge: 1091
Registriert: Do 30.Sep, 2004 13:36

Neues phpBB in Version 2.0.14 erschienen!

Beitrag von blondi » Fr 15.Apr, 2005 23:00

halli hallo...

schon jemand bemerkt :-)) ...arbeit ruft....

Your installation does not seem to be up to date. Updates are available for your version of phpBB, please visit http://www.phpbb.com/downloads.php to obtain the latest version.
The latest available version is phpBB 2.0.14.You are running phpBB 2.0.13.


@edit

phpBB 2.0.14 released !


phpBB 2.0.14 was released today by the phpBB Group. The Release is called "We know we are (not) furry" edition. This release addresses some bugfixes as well as fixing some minor non-critical security issues. See below for a list of full changes.

Changes since 2.0.13




Hardened author and keyword search a bit to not allow very server intensive searches

Fixed full path disclosure in bad word parsing

Resetting complete userdata array in session code if authentication fails

Fixed bug in moderator control panel where certain parameters could lead to an "error creating new session" sql error

Fixed bug in session code where empty page ids could lead to an "error creating new session" sql error

Fixed html handling in signatures if html is turned off globally

Fixed install.php problem with PHP5 register_long_arrays option turned off

Fixed potential issues with styling system

Added correct class to login_body template file

Removed file db/oracle.php from package

Removed version number from message body page in /admin (if user is not an admin) - mikelbeck

Fixed case-sensitivity issues in postgres7.php - R45
Zuletzt geändert von blondi am Fr 15.Apr, 2005 23:07, insgesamt 1-mal geändert.

Benutzeravatar
cback
Moderator
Moderator
Beiträge: 1556
Registriert: Sa 15.Mai, 2004 14:32
Wohnort: Saarland
Kontaktdaten:

Beitrag von cback » Fr 15.Apr, 2005 23:12

Die solln lieber mal die 3er rausrücken :mad:

Stoebi
User
User
Beiträge: 468
Registriert: Do 24.Feb, 2005 16:35
Wohnort: Berlin
Kontaktdaten:

Beitrag von Stoebi » Fr 15.Apr, 2005 23:44

[quote="cback - Sa 16.Apr, 2005 00:12";p="28825"]Die solln lieber mal die 3er rausrücken :mad:[/quote]


100% Ack.

In meiner Position als Anfänger überlegt man sich wirklich, ob man phpbb2 1.52 noch was neues gönnt, oder doch auf phpbb3 hofft, wenn auch zuerst nur Beta.

Scheinen die nicht auch noch personelle Probs zu haben, oder hat sich das auch wieder erledigt?

Zeit wirds mit phpbb3. Frage mich ernsthaft, auf was die noch warten?!?!


Gruß Stöbi


EDIT:
Die Zeile habe ich in includes/page_header.php nicht gefunden:

Code: Alles auswählen

#
#-----[ FIND ]---------------------------------------------
# Line 38
			$useragent = (isset($_SERVER["HTTP_USER_AGENT"]) ) ? $_SERVER["HTTP_USER_AGENT"] : $HTTP_USER_AGENT;
	
#
#-----[ REPLACE WITH ]---------------------------------------------
# 

			$useragent = (isset($HTTP_SERVER_VARS['HTTP_USER_AGENT'])) ? $HTTP_SERVER_VARS['HTTP_USER_AGENT'] : getenv('HTTP_USER_AGENT');

Dann wird in admin/page_footer_admin.php verlangt folgendes Zeile zu ersetzen:

Code: Alles auswählen

#
#-----[ FIND ]---------------------------------------------
# Line 36
			'PHPBB_VERSION' => '2' . $board_config['version'], 

#
#-----[ REPLACE WITH ]---------------------------------------------
# 

			'PHPBB_VERSION' => ($userdata['user_level'] == ADMIN && $userdata['user_id'] != ANONYMOUS) ? '2' . $board_config['version'] : '',
Meine Frage dazu:
Müsste dann die darunter stehende Zeile (Zeile 37) nicht auch verändert werden?
Wenn ja, wie?

Code: Alles auswählen

	'PLUS_VERSION' => $plus_config['plus_version'],

Ansonsten gab es keine Probleme mit den Anpassungen.


Gruß Stöbi


BTW.
Versionsnummer nicht vergessen zu erhöhen, auf 0.14.
Zuletzt geändert von Stoebi am Sa 16.Apr, 2005 00:17, insgesamt 1-mal geändert.

Benutzeravatar
blondi
User
User
Beiträge: 1091
Registriert: Do 30.Sep, 2004 13:36

Beitrag von blondi » Sa 16.Apr, 2005 01:35

welche files muss man genau nehmen?

Stoebi
User
User
Beiträge: 468
Registriert: Do 24.Feb, 2005 16:35
Wohnort: Berlin
Kontaktdaten:

Beitrag von Stoebi » Sa 16.Apr, 2005 02:41

[quote="blondi - Sa 16.Apr, 2005 02:35";p="28829"]welche files muss man genau nehmen?[/quote]


Es sind schon einige Files.
Ich hab von hier die Changes herunter geladen:
http://www.phpbb2.de/dload.php?action=d ... ile_id=754

Ich hab die Anweisungen laut phpbb_2.0.13_to_2.0.14.txt betreffend befolgt. Ging ja soweit ganz
gut vonstatten, bis auf meine Fragen über dir.


Gruß Stöbi

Benutzeravatar
tom10
User
User
Beiträge: 1112
Registriert: Sa 29.Jan, 2005 14:58
Kontaktdaten:

Beitrag von tom10 » Sa 16.Apr, 2005 06:46

Ich erhalte beim aufruf der "update_to_latest.php" diese Fehlermeldungen ?!?!?
Warning: main() [function.main]: open_basedir restriction in effect. File(./../extension.inc) is not within the allowed path(s): (/www/htdocs/v132501/) in /www/htdocs/v132501/update_to_latest.php on line 46

Warning: main(./../extension.inc) [function.main]: failed to create stream: Operation not permitted in /www/htdocs/v132501/update_to_latest.php on line 46

Warning: main() [function.main]: Failed opening './../extension.inc' for inclusion (include_path='.:..') in /www/htdocs/v132501/update_to_latest.php on line 46

Warning: main() [function.main]: open_basedir restriction in effect. File(./../config.) is not within the allowed path(s): (/www/htdocs/v132501/) in /www/htdocs/v132501/update_to_latest.php on line 47

Warning: main(./../config.) [function.main]: failed to create stream: Operation not permitted in /www/htdocs/v132501/update_to_latest.php on line 47

Warning: main() [function.main]: Failed opening './../config.' for inclusion (include_path='.:..') in /www/htdocs/v132501/update_to_latest.php on line 47
Please read: INSTALL.html before attempting to update.
Was stimmt denn da nicht ?
^1
Zuletzt geändert von tom10 am Sa 16.Apr, 2005 06:49, insgesamt 1-mal geändert.

Benutzeravatar
volker58
User
User
Beiträge: 765
Registriert: Mo 27.Dez, 2004 19:22
Wohnort: Annaberg-Buchholz
Kontaktdaten:

Beitrag von volker58 » Sa 16.Apr, 2005 06:52

muß man nicht nur die versionsnummer ändern?
Gruss Volker

http://www.fuchsienfreunde.de

Benutzeravatar
tom10
User
User
Beiträge: 1112
Registriert: Sa 29.Jan, 2005 14:58
Kontaktdaten:

Beitrag von tom10 » Sa 16.Apr, 2005 07:07

Tja, ich weis nicht genau? Desshalb hab ich die Update Datei einfach mal aufgerufen.

Benutzeravatar
cback
Moderator
Moderator
Beiträge: 1556
Registriert: Sa 15.Mai, 2004 14:32
Wohnort: Saarland
Kontaktdaten:

Beitrag von cback » Sa 16.Apr, 2005 09:04

Doch Versionsnummer update reicht, allerdings kannst Du auch die Update File benutzen, wenn Du dort den rootpath auf / umschreibst.

Benutzeravatar
oxpus
Administrator
Administrator
Beiträge: 29111
Registriert: Mo 27.Jan, 2003 22:13
Wohnort: Bad Wildungen
Kontaktdaten:

Beitrag von oxpus » Sa 16.Apr, 2005 09:13

Hui, wieder Arbeit.
Nun, es wurde ja einiges geändert.
Dann mal frisch ran ans Werk!

@tom10
Das Update-Script für die Datenbank muss in den Ordner install/! Der ist ja in der Regel nach der Installation des phpBB nicht vorhanden, da gelöscht oder umbenannt, also anlegen.
Karsten Ude
-={ Das Mädchen für alles }=-
Kein Support per ICQ, Email oder PN! Unaufgeforderte Nachrichten werden ignoriert!
No support per ICQ, Email or PM. Each unasked message will be ignored!

Benutzeravatar
tom10
User
User
Beiträge: 1112
Registriert: Sa 29.Jan, 2005 14:58
Kontaktdaten:

Beitrag von tom10 » Sa 16.Apr, 2005 09:52

Aha, na ich habs manuell auf.0.14 geändert sollte ja wie oben beschrieben reichen. Ich hab übrigens die plus version.....
Konnte man das denn da auch alles so lassen wie in der Anleitung, oder ist da was speziell zu beachten gewesen ? Ich hatte eigentlich keine Probleme mit dem einbau... ^7

modbo
User
User
Beiträge: 1422
Registriert: Mo 13.Dez, 2004 11:18
Kontaktdaten:

Beitrag von modbo » Sa 16.Apr, 2005 10:14

[quote="cback - Sa 16.Apr, 2005 10:04";p="28841"]Doch Versionsnummer update reicht, allerdings kannst Du auch die Update File benutzen, wenn Du dort den rootpath auf / umschreibst.[/quote]
Funktionierte bei mir auch dann nicht, ebensowenig wie mit ./ :(

Na, egal. Hab die Versionsnummer von Hand in der phpbb_config geändert.


>Ich hatte eigentlich keine Probleme mit dem einbau...

Ich hatte die Änderung in der includes/page_header.php schon drin ...
Zuletzt geändert von modbo am Sa 16.Apr, 2005 14:44, insgesamt 2-mal geändert.

Benutzeravatar
oxpus
Administrator
Administrator
Beiträge: 29111
Registriert: Mo 27.Jan, 2003 22:13
Wohnort: Bad Wildungen
Kontaktdaten:

Beitrag von oxpus » Sa 16.Apr, 2005 10:26

@tom10
Du kannst Das Update auch gefahr- und problemlos im plus einbauen.

EDIT
Ich habs hier auch gerade abgeschlossen.
Zuletzt geändert von oxpus am Sa 16.Apr, 2005 10:30, insgesamt 1-mal geändert.
Karsten Ude
-={ Das Mädchen für alles }=-
Kein Support per ICQ, Email oder PN! Unaufgeforderte Nachrichten werden ignoriert!
No support per ICQ, Email or PM. Each unasked message will be ignored!

Benutzeravatar
volker58
User
User
Beiträge: 765
Registriert: Mo 27.Dez, 2004 19:22
Wohnort: Annaberg-Buchholz
Kontaktdaten:

Beitrag von volker58 » Sa 16.Apr, 2005 11:45

hi,

habe das up auch gemacht, beim einbau keine probleme, alles gefunden und ersetzt wie in der beschreibung. nun bekomm ich aber eine fehlermeldung
Parse error: syntax error, unexpected T_IF in d:\wamp\www\dim020\viewtopic.php on line 1988
hier der ausschnitt aus der datei

Code: Alles auswählen

if ( !$board_config['allow_html'] || !$userdata['user_allowhtml']
	{
		if ( $user_sig != '' )
		{
			$user_sig = preg_replace('#(<)([\/]?.*?)(>)#is', "<\\2>", $user_sig);
		}

		if ( $postrow[$i]['enable_html'] )
		{
			$message = preg_replace('#(<)([\/]?.*?)(>)#is', "<\\2>", $message);
		}
	}
zeile 3 = 1988
Gruss Volker

http://www.fuchsienfreunde.de

Benutzeravatar
skittles
User
User
Beiträge: 907
Registriert: So 04.Apr, 2004 00:07
Wohnort: Wien

Beitrag von skittles » Sa 16.Apr, 2005 12:27

Bin ich zu blöd?
Ich finde einfach die Anleitung für die Änderungen an den Datein nicht!

EDIT:
Falsche Datein gesucht!

hehe! habs schon
Zuletzt geändert von skittles am Sa 16.Apr, 2005 12:33, insgesamt 1-mal geändert.
[center]Populanten von transparenten Domizilen sollten
mit fester Materie keine transzendenten Bewegungen durchf?hren.
[/center]


Bild

Benutzeravatar
blondi
User
User
Beiträge: 1091
Registriert: Do 30.Sep, 2004 13:36

Beitrag von blondi » Sa 16.Apr, 2005 12:34

[quote="skittles - Sa 16.Apr, 2005 13:27";p="28852"]Bin ich zu blöd?
Ich finde einfach die Anleitung für die Änderungen an den Datein nicht![/quote]

ich scheinbar auch....

hat jemand genau die files samt install.... das was ich runtergeladen habe war nicht das richtige...

easygo
User
User
Beiträge: 160
Registriert: Fr 22.Okt, 2004 12:20
Kontaktdaten:

Beitrag von easygo » Sa 16.Apr, 2005 12:42

[quote="volker58 - Sa 16.Apr, 2005 12:45";p="28851"]hier der ausschnitt aus der datei

Code: Alles auswählen

if ( !$board_config['allow_html'] || !$userdata['user_allowhtml']
	{
		if ( $user_sig != '' )
		{
			$user_sig = preg_replace('#(<)([\/]?.*?)(>)#is', "<\\2>", $user_sig);
		}

		if ( $postrow[$i]['enable_html'] )
		{
			$message = preg_replace('#(<)([\/]?.*?)(>)#is', "<\\2>", $message);
		}
	}
zeile 3 = 1988[/quote]
Fehler steckt in Zeile 1, da fehlt ne Klammer...
if ( !$board_config['allow_html'] || !$userdata['user_allowhtml'] )
Diskutiere nie mit einem Idioten: Erst zieht er dich auf sein
Niveau runter und dort schl?gt er dich mit Erfahrung.

Benutzeravatar
oxpus
Administrator
Administrator
Beiträge: 29111
Registriert: Mo 27.Jan, 2003 22:13
Wohnort: Bad Wildungen
Kontaktdaten:

Beitrag von oxpus » Sa 16.Apr, 2005 12:56

@volker58
Am Ende der Zeile

Code: Alles auswählen

if ( !$board_config['allow_html'] || !$userdata['user_allowhtml']
fehlt eine schliessende Klammer ")" ;)
Zuletzt geändert von oxpus am Sa 16.Apr, 2005 12:56, insgesamt 1-mal geändert.
Karsten Ude
-={ Das Mädchen für alles }=-
Kein Support per ICQ, Email oder PN! Unaufgeforderte Nachrichten werden ignoriert!
No support per ICQ, Email or PM. Each unasked message will be ignored!

Benutzeravatar
skittles
User
User
Beiträge: 907
Registriert: So 04.Apr, 2004 00:07
Wohnort: Wien

Beitrag von skittles » Sa 16.Apr, 2005 12:57

[center]Populanten von transparenten Domizilen sollten
mit fester Materie keine transzendenten Bewegungen durchf?hren.
[/center]


Bild

Benutzeravatar
volker58
User
User
Beiträge: 765
Registriert: Mo 27.Dez, 2004 19:22
Wohnort: Annaberg-Buchholz
Kontaktdaten:

Beitrag von volker58 » Sa 16.Apr, 2005 14:14

vielen dank für die )
Gruss Volker

http://www.fuchsienfreunde.de

Benutzeravatar
skittles
User
User
Beiträge: 907
Registriert: So 04.Apr, 2004 00:07
Wohnort: Wien

Beitrag von skittles » Sa 16.Apr, 2005 14:37

[quote="Stoebi - 16/4/2005, 00:44";p="28826"]
Die Zeile habe ich in includes/page_header.php nicht gefunden:

Code: Alles auswählen

#
#-----[ FIND ]---------------------------------------------
# Line 38
			$useragent = (isset($_SERVER["HTTP_USER_AGENT"]) ) ? $_SERVER["HTTP_USER_AGENT"] : $HTTP_USER_AGENT;
	
#
#-----[ REPLACE WITH ]---------------------------------------------
# 

			$useragent = (isset($HTTP_SERVER_VARS['HTTP_USER_AGENT'])) ? $HTTP_SERVER_VARS['HTTP_USER_AGENT'] : getenv('HTTP_USER_AGENT');

Dann wird in admin/page_footer_admin.php verlangt folgendes Zeile zu ersetzen:

Code: Alles auswählen

#
#-----[ FIND ]---------------------------------------------
# Line 36
			'PHPBB_VERSION' => '2' . $board_config['version'], 

#
#-----[ REPLACE WITH ]---------------------------------------------
# 

			'PHPBB_VERSION' => ($userdata['user_level'] == ADMIN && $userdata['user_id'] != ANONYMOUS) ? '2' . $board_config['version'] : '',
[/quote]

Gleiches Problem!
Kann hier jemand vielleicht helfen?
[center]Populanten von transparenten Domizilen sollten
mit fester Materie keine transzendenten Bewegungen durchf?hren.
[/center]


Bild

modbo
User
User
Beiträge: 1422
Registriert: Mo 13.Dez, 2004 11:18
Kontaktdaten:

Beitrag von modbo » Sa 16.Apr, 2005 14:49

@skittles: Such mal nicht nach der vollständigen Code-Passage.

Die Änderungen in der includes/page_header.php waren bei mir schon drin!

modbo
User
User
Beiträge: 1422
Registriert: Mo 13.Dez, 2004 11:18
Kontaktdaten:

Beitrag von modbo » Sa 16.Apr, 2005 14:51

Sorry, aber an den Mehrfachpost bin ich nicht schuld!

Code: Alles auswählen

Parse error: parse error, unexpected ';' in /home/www/web3/html/oxpus/cache/cg-user.php on line 4
Zuletzt geändert von modbo am Sa 16.Apr, 2005 14:52, insgesamt 1-mal geändert.

Benutzeravatar
oxpus
Administrator
Administrator
Beiträge: 29111
Registriert: Mo 27.Jan, 2003 22:13
Wohnort: Bad Wildungen
Kontaktdaten:

Beitrag von oxpus » Sa 16.Apr, 2005 15:08

Fehler ist behoben.

Ich hab gerade am Cache für den Color Group Mod gebastelt. Ist beinahe fertig. Muss jetzt noch die Update-Routine optimieren, sonst habe ich hier einmal täglich über 1000 Queries auf einmal :(
Karsten Ude
-={ Das Mädchen für alles }=-
Kein Support per ICQ, Email oder PN! Unaufgeforderte Nachrichten werden ignoriert!
No support per ICQ, Email or PM. Each unasked message will be ignored!

Benutzeravatar
skittles
User
User
Beiträge: 907
Registriert: So 04.Apr, 2004 00:07
Wohnort: Wien

Beitrag von skittles » Sa 16.Apr, 2005 15:38

[quote="modbo - 16/4/2005, 15:49";p="28873"]@skittles: Such mal nicht nach der vollständigen Code-Passage.

Die Änderungen in der includes/page_header.php waren bei mir schon drin![/quote]
Ich habe eigentlich nach allem möglichen gesucht!
Ausserdem ist dies sowieso das erste was ich mache, nach teilen suchen!
[center]Populanten von transparenten Domizilen sollten
mit fester Materie keine transzendenten Bewegungen durchf?hren.
[/center]


Bild

Antworten